#!/bin/bash

function usage {
echo "Usage..."
echo "$0 date_start date_stop long lat [site_label]"
echo
echo "Date format --> YYYY:MM:DD"
echo "Lon/Lat format --> +/-GG:MM:SS"
echo
exit
}


if [[ $# -gt 5 ]]; then usage; fi
if [[ $# -lt 4 ]]; then usage; fi

if [[ -n "$1" ]]; then
	START="-i $1";
fi

if [[ -n "$2" ]]; then
	STOP="-f $2";
fi

if [[ -n "$3" ]]; then
	LONG="-L $3";
fi

if [[ -n "$4" ]]; then
	LAT="-l $4";
fi

if [[ -n "$5" ]]; then
	LABEL="-O $5";
fi


./lunaefem.exe $LONG $LAT $START $STOP $LABEL |a2ps -B -R --columns=1 -o - |psbook -s 8 |psnup -2 -p a4 > prueba.ps

